using System.Web.Mvc;
using System.Configuration;
using SelectPdf;
using System;

namespace SelectPdf.Samples.Controllers
{
    public class PdfViewerPreferencesController : Controller
    {
        // GET: PdfViewerPreferences
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public ActionResult SubmitAction(FormCollection collection)
        {
            // create a new pdf document
            SelectPdf.PdfDocument doc = new SelectPdf.PdfDocument();

            // create a new page
            SelectPdf.PdfPage page = doc.AddPage();

            // create a new font
            SelectPdf.PdfFont font = doc.AddFont(SelectPdf.PdfStandardFont.Helvetica);
            font.Size = 20;

            // create a new text element
            SelectPdf.PdfTextElement text = new SelectPdf.PdfTextElement(50, 50,
                "SelectPdf for .NET - Pdf Viewer Preferences Sample", font);
            page.Add(text);

            // set the pdf viewer preferences
            doc.ViewerPreferences.CenterWindow = true;
            doc.ViewerPreferences.DisplayDocTitle = true;
            doc.ViewerPreferences.FitWindow = true;
            doc.ViewerPreferences.HideMenuBar = true;
            doc.ViewerPreferences.HideToolbar = true;
            doc.ViewerPreferences.HideWindowUI = false;

            doc.ViewerPreferences.NonFullScreenPageMode =
                PdfViewerFullScreenExitMode.UseNone;
            doc.ViewerPreferences.PageLayout =
                PdfViewerPageLayout.SinglePage;
            doc.ViewerPreferences.PageMode =
                PdfViewerPageMode.UseNone;

            // save pdf document
            byte[] pdf = doc.Save();

            // close pdf document
            doc.Close();

            // return resulted pdf document
            FileResult fileResult = new FileContentResult(pdf, "application/pdf");
            fileResult.FileDownloadName = "Document.pdf";
            return fileResult;
        }
    }
}